Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1509694 - ValueError: device is already in tree
Summary: ValueError: device is already in tree
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:84432eb48135296f114dbc0f5f9...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-11-05 18:48 UTC by Joseph Moragrega
Modified: 2018-05-29 11:41 UTC (History)
13 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:41:57 UTC


Attachments (Terms of Use)
File: anaconda-tb (deleted)
2017-11-05 18:48 UTC, Joseph Moragrega
no flags Details
File: anaconda.log (deleted)
2017-11-05 18:48 UTC, Joseph Moragrega
no flags Details
File: dnf.librepo.log (deleted)
2017-11-05 18:48 UTC, Joseph Moragrega
no flags Details
File: environ (deleted)
2017-11-05 18:48 UTC, Joseph Moragrega
no flags Details
File: hawkey.log (deleted)
2017-11-05 18:48 UTC, Joseph Moragrega
no flags Details
File: lsblk_output (deleted)
2017-11-05 18:48 UTC, Joseph Moragrega
no flags Details
File: nmcli_dev_list (deleted)
2017-11-05 18:48 UTC, Joseph Moragrega
no flags Details
File: os_info (deleted)
2017-11-05 18:48 UTC, Joseph Moragrega
no flags Details
File: program.log (deleted)
2017-11-05 18:48 UTC, Joseph Moragrega
no flags Details
File: storage.log (deleted)
2017-11-05 18:48 UTC, Joseph Moragrega
no flags Details
File: ifcfg.log (deleted)
2017-11-05 18:48 UTC, Joseph Moragrega
no flags Details
File: packaging.log (deleted)
2017-11-05 18:48 UTC, Joseph Moragrega
no flags Details

Description Joseph Moragrega 2017-11-05 18:48:08 UTC
Version-Release number of selected component:
anaconda-26.21.11-1

The following was filed automatically by anaconda:
anaconda 26.21.11-1 exception report
Traceback (most recent call first):
  File "/usr/lib/python3.6/site-packages/blivet/devicetree.py", line 148, in _add_device
    raise ValueError("device is already in tree")
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/helpers/partition.py", line 111, in run
    self._devicetree._add_device(device)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 306, in handle_device
    device = helper_class(self, info).run()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 519, in _populate
    self.handle_device(dev)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 454, in populate
    self._populate()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/blivet.py", line 271, in reset
    self.devicetree.populate(cleanup_only=cleanup_only)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/osinstall.py", line 1175, in storage_initialize
    storage.reset()
  File "/usr/lib64/python3.6/threading.py", line 864, in run
    self._target(*self._args, **self._kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/threads.py", line 251, in run
    threading.Thread.run(self)
ValueError: device is already in tree

Additional info:
addons:         com_redhat_docker, com_redhat_kdump
cmdline:        /usr/libexec/system-python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=fedora/vmlinuz initrd=fedora/initrd.img inst.stage2=http://download.fedoraproject.org/pub/fedora/linux/releases/26/Server/x86_64/os/ ip=dhcp
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.11.8-300.fc26.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        26

Comment 1 Joseph Moragrega 2017-11-05 18:48:14 UTC
Created attachment 1348260 [details]
File: anaconda-tb

Comment 2 Joseph Moragrega 2017-11-05 18:48:16 UTC
Created attachment 1348261 [details]
File: anaconda.log

Comment 3 Joseph Moragrega 2017-11-05 18:48:18 UTC
Created attachment 1348262 [details]
File: dnf.librepo.log

Comment 4 Joseph Moragrega 2017-11-05 18:48:19 UTC
Created attachment 1348263 [details]
File: environ

Comment 5 Joseph Moragrega 2017-11-05 18:48:20 UTC
Created attachment 1348264 [details]
File: hawkey.log

Comment 6 Joseph Moragrega 2017-11-05 18:48:21 UTC
Created attachment 1348265 [details]
File: lsblk_output

Comment 7 Joseph Moragrega 2017-11-05 18:48:22 UTC
Created attachment 1348266 [details]
File: nmcli_dev_list

Comment 8 Joseph Moragrega 2017-11-05 18:48:23 UTC
Created attachment 1348267 [details]
File: os_info

Comment 9 Joseph Moragrega 2017-11-05 18:48:25 UTC
Created attachment 1348268 [details]
File: program.log

Comment 10 Joseph Moragrega 2017-11-05 18:48:26 UTC
Created attachment 1348269 [details]
File: storage.log

Comment 11 Joseph Moragrega 2017-11-05 18:48:28 UTC
Created attachment 1348270 [details]
File: ifcfg.log

Comment 12 Joseph Moragrega 2017-11-05 18:48:29 UTC
Created attachment 1348271 [details]
File: packaging.log

Comment 13 Jiri Konecny 2017-11-06 08:54:26 UTC
Looks like a storage related issue.
Changing components.

Comment 14 Fedora End Of Life 2018-05-03 08:15:58 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2018-05-29 11:41:57 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.